<?php
/*
Function Name: *Digg Style Paginator from http://www.mis-algoritmos.com/2007/03/12/wp-digg-style-pagination-plugin/
*/
function pagination($adjacents=1,$nav = array("Previous Entries","Next Entries")){
		//$total_pages,$limit,$page=1,$file="paginator.php",$adjacents=2
		global $request, $posts_per_page, $wpdb, $paged;

		if(is_single()||is_page())return true;
		
		preg_match('{FROM\s(.*)\sLIMIT}siU', $request, $matches);
		$fromwhere = $matches[1];

		$sqlStr = "SELECT count(*) FROM $fromwhere";
		$total_pages = $wpdb->get_var($sqlStr);//total number of rows in data table
		$limit = $posts_per_page;//how many items to show per page
		if(!empty($paged))$page = $paged; else $page = 1;

		/* Setup vars for query. */	
		if($page) 
				$start = ($page - 1) * $limit; 			//first item to display on this page
			else
				$start = 0;								//if no page var is given, set start to 0
		
		/* Setup page vars for display. */
		if ($page == 0) $page = 1;					//if no page var is given, default to 1.
		$prev = $page - 1;							//anterior page is page - 1
		$siguiente = $page + 1;							//siguiente page is page + 1
		$lastpage = ceil($total_pages/$limit);		//lastpage is = total pages / items per page, rounded up.
		$lpm1 = $lastpage - 1;						//last page minus 1
		
		/* 
			Now we apply our rules and draw the pagination object. 
			We're actually saving the code to a variable in case we want to draw it more than once.
		*/
		ob_start();
		if($lastpage > 1){
				echo "<div class=\"pagination\">";
				//anterior button
				if($page > 1)
						echo "<a href=\"".get_pagenum_link($prev)."\">&#171; $nav[0]</a>";
					else
						echo "<span class=\"disabled\">&#171; $nav[0]</span>";
				//pages	
				if ($lastpage < 7 + ($adjacents * 2)){//not enough pages to bother breaking it up
						for ($counter = 1; $counter <= $lastpage; $counter++){
								if ($counter == $page)
										echo "<span class=\"current\">$counter</span>";
									else
										echo "<a href=\"".get_pagenum_link($counter)."\">$counter</a>";
							}
					}
				elseif($lastpage > 5 + ($adjacents * 2)){//enough pages to hide some
						//close to beginning; only hide later pages
						if($page < 1 + ($adjacents * 2)){
								for ($counter = 1; $counter < 4 + ($adjacents * 2); $counter++){
										if ($counter == $page)
												echo "<span class=\"current\">$counter</span>";
											else
												echo "<a href=\"".get_pagenum_link($counter)."\">$counter</a>";
									}
								echo "...";
								echo "<a href=\"".get_pagenum_link($lpm1)."\">$lpm1</a>";
								echo "<a href=\"".get_pagenum_link($lastpage)."\">$lastpage</a>";
							}
						//in middle; hide some front and some back
						elseif($lastpage - ($adjacents * 2) > $page && $page > ($adjacents * 2)){
								echo "<a href=\"".get_pagenum_link(1)."\">1</a>";
								echo "<a href=\"".get_pagenum_link(2)."\">2</a>";
								echo "...";
								for ($counter = $page - $adjacents; $counter <= $page + $adjacents; $counter++)
									if ($counter == $page)
											echo "<span class=\"current\">$counter</span>";
										else
											echo "<a href=\"".get_pagenum_link($counter)."\">$counter</a>";
								echo "...";
								echo "<a href=\"".get_pagenum_link($lpm1)."\">$lpm1</a>";
								echo "<a href=\"".get_pagenum_link($lastpage)."\">$lastpage</a>";
							}
						//close to end; only hide early pages
						else{
								echo "<a href=\"".get_pagenum_link(1)."\">1</a>";
								echo "<a href=\"".get_pagenum_link(2)."\">2</a>";
								echo "...";
								for ($counter = $lastpage - (2 + ($adjacents * 2)); $counter <= $lastpage; $counter++)
									if ($counter == $page)
											echo "<span class=\"current\">$counter</span>";
										else
											echo "<a href=\"".get_pagenum_link($counter)."\">$counter</a>";
							}
					}
				//siguiente button
				if ($page < $counter - 1)
						echo "<a href=\"".get_pagenum_link($siguiente)."\">$nav[1] &#187;</a>";
					else
						echo "<span class=\"disabled\">$nav[1] &#187;</span>";
				echo "</div>\n";
			}
		echo ob_get_clean();
	}
?>