<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head profile="http://gmpg.org/xfn/11">

	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
	<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
	<link rel="stylesheet" href="<?php bloginfo('stylesheet_directory'); ?>/print.css" type="text/css"  media="print" />
	<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS 2.0" href="<?php bloginfo('rss2_url'); ?>" />
	<link rel="alternate" type="application/atom+xml" title="<?php bloginfo('name'); ?> Atom 0.3" href="<?php bloginfo('atom_url'); ?>" />
	<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
	<title><?php bloginfo('name'); ?> <?php wp_title(); ?></title>

<?php wp_head(); ?>
	
<script type="text/javascript" src="<?php bloginfo('stylesheet_directory');?>/mootools.release.83.js"></script>
<script type="text/javascript">

function sliderinit() {
var ht = $S('htmlcode');

var htmlSlider = new Fx.Slide('htmlcode', {
duration: 500,
onComplete: function(){
if (this.now[0] > 0) this.wrapper.setStyle('height', '');
}
});

var jsSlider = new Fx.Slide('jscode', {
duration: 500,
onComplete: function(){
if (this.now[0] > 0) this.wrapper.setStyle('height', '');
}
});

jsSlider.hide();
htmlSlider.hide();

$('showhtml').addEvent('click', function(){htmlSlider.toggle();});
$('showjs').addEvent('click', function(){jsSlider.toggle();});
}

function accordioninit(){
var trig = $S('.trigger');
var box = $S('.slider');
var ac = new fx.Accordion(trig, box, {'alwaysHide' : true, 'start': 'all-closed'});
}

Window.onDomReady(function(){
accordioninit();
sliderinit() ;
});

</script>
<?php load_theme_textdomain('acc');?>
</head>

<body>

<div id="wrapper">

<div id="box-header">
	<h1><a href="<?php bloginfo('url'); ?>"><?php bloginfo('name'); ?></a></h1>
	<p><?php bloginfo('description'); ?></p>
</div> <!-- end box -->

<div id="box-feed">
	<p><a href="<?php bloginfo('rss2_url'); ?>"><img src="<?php bloginfo('stylesheet_directory');?>/img/rss.png" alt="<?php _e('Subscribe to RSS','acc'); ?>" title="<?php _e('Subscribe to RSS','acc'); ?>" /></a> 
<span class="trigger"><img src="<?php bloginfo('stylesheet_directory');?>/img/search.png" alt="<?php _e('Search','acc'); ?>" title="<?php _e('Search','acc'); ?>" /></span></p>
<form name="searchForm" class="slider" method="get" id="searchForm" action="<?php bloginfo('home'); ?>/"><input type="text" name="s"  value="<?php _e('search...','acc'); ?>" onfocus="this.value='';"/></form>
</div> <!-- end box -->

<div id="box-pages">
	<h3 class="trigger"><?php _e('Pages','acc'); ?></h3>
		<ul class="slider">
		<li <?php if(is_home()){echo 'class="current_page_item"';}?>><a href="<?php bloginfo('siteurl'); ?>/" title="Home"><?php _e('Home','acc'); ?></a></li>
		<?php wp_list_pages('title_li=&depth=1&'.$page_sort.'&'.$pages_to_exclude)?>
		</ul>
</div> <!-- end box -->